#include <iostream>

using namespace std;

int main()
{
    int n,l,m=-1,v;
    cin>>n>>l;
    for(int i=0;i<n;i++)
    {
        cin>>v;
        if(v<=l)
        {
            m=i+1;
            break;
        }
    }
    cout<<m;

    return 0;
}